CSVConfig (Solr 3.6.2 API)
Keywords: org.apache.solr.internal.csv.writer.CSVConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.internal.csv.writer
Class CSVConfig

    java.lang.Object
      org.apache.solr.internal.csv.writer.CSVConfig

    public class CSVConfig

extends Object

The CSVConfig is used to configure the CSV writer

Version:
  $Id: $
Author:
  Martin van den Bemt

Field Summary
`static int` | `FILLLEFT` Fill content the the left.
`static int` | `FILLNONE` Do no do any filling
`static int` | `FILLRIGHT` Fill content to the right.

Constructor Summary
`CSVConfig()`

Method Summary
`void` | `addField(CSVField field)`
`boolean` | `equals(Object obj)` TODO..
`char` | `getDelimiter()`
`CSVField` | `getField(String name)`
`CSVField[]` | `getFields()`
`int` | `getFill()`
`char` | `getFillChar()`
`char` | `getValueDelimiter()`
`static CSVConfig` | `guessConfig(InputStream inputStream)` Creates a config based on a stream.
`boolean` | `isDelimiterIgnored()`
`boolean` | `isEndTrimmed()`
`boolean` | `isFieldHeader()`
`boolean` | `isFixedWidth()`
`boolean` | `isValueDelimiterIgnored()`
`void` | `setDelimiter(char delimiter)` Set the delimiter to use
`void` | `setEndTrimmed(boolean endTrimmed)` Specify if the end of the line needs to be trimmed.
`void` | `setFieldHeader(boolean fieldHeader)` Specify if you want to use a field header.
`void` | `setFields(Collection csvField)` Set the fields that should be used by the writer
`void` | `setFields(CSVField[] csvFields)` Set the fields that should be used by the writer.
`void` | `setFill(int fill)` Set the fill pattern.
`void` | `setFillChar(char fillChar)` Set the fill char
`void` | `setFixedWidth(boolean fixedWidth)` Specify if the CSV file is fixed width.
`void` | `setIgnoreDelimiter(boolean ignoreDelimiter)` Specify if the writer should ignore the delimiter.
`void` | `setIgnoreValueDelimiter(boolean ignoreValueDelimiter)` Specify if the writer should ignore the value delimiter.
`void` | `setValueDelimiter(char valueDelimiter)` Set the value delimiter to use

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILLNONE

    public static final int FILLNONE

  Do no do any filling

  See Also:
    Constant Field Values

### FILLLEFT

    public static final int FILLLEFT

  Fill content the the left. Mainly usable together with fixedWidth

  See Also:
    Constant Field Values

### FILLRIGHT

    public static final int FILLRIGHT

  Fill content to the right. Mainly usable together with fixedWidth

  See Also:
    Constant Field Values

Constructor Detail

### CSVConfig

    public CSVConfig()

Method Detail

### isFixedWidth

    public boolean isFixedWidth()

  Returns:
    if the CSV file is fixedWidth

### setFixedWidth

    public void setFixedWidth(boolean fixedWidth)

  Specify if the CSV file is fixed width. Defaults to false

  Parameters:
    `fixedWidth` - the fixedwidth

### addField

    public void addField(CSVField field)

### setFields

    public void setFields(CSVField[] csvFields)

  Set the fields that should be used by the writer. This will overwrite currently added fields completely!

  Parameters:
    `csvFields` - the csvfields array. If null it will do nothing

### setFields

    public void setFields(Collection csvField)

  Set the fields that should be used by the writer

  Parameters:
    `csvField` - a collection with fields. If null it will do nothing

### getFields

    public CSVField[] getFields()

  Returns:
    an array with the known fields (even if no fields are specified)

### getField

    public CSVField getField(String name)

### getFill

    public int getFill()

  Returns:
    the fill pattern.

### setFill

    public void setFill(int fill)

  Set the fill pattern. Defaults to `FILLNONE`
  Other options are : `FILLLEFT` and `FILLRIGHT`

  Parameters:
    `fill` - the fill pattern.

### getFillChar

    public char getFillChar()

  Returns:
    the fillchar. Defaults to a space.

### setFillChar

    public void setFillChar(char fillChar)

  Set the fill char

  Parameters:
    `fillChar` - the fill char

### getDelimiter

    public char getDelimiter()

  Returns:
    the delimeter used.

### setDelimiter

    public void setDelimiter(char delimiter)

  Set the delimiter to use

  Parameters:
    `delimiter` - the delimiter character.

### isDelimiterIgnored

    public boolean isDelimiterIgnored()

  Returns:
    if the writer should ignore the delimiter character.

### setIgnoreDelimiter

    public void setIgnoreDelimiter(boolean ignoreDelimiter)

  Specify if the writer should ignore the delimiter.

  Parameters:
    `ignoreDelimiter` - defaults to false.

### getValueDelimiter

    public char getValueDelimiter()

  Returns:
    the value delimeter used. Defaults to "

### setValueDelimiter

    public void setValueDelimiter(char valueDelimiter)

  Set the value delimiter to use

  Parameters:
    `valueDelimiter` - the value delimiter character.

### isValueDelimiterIgnored

    public boolean isValueDelimiterIgnored()

  Returns:
    if the writer should ignore the value delimiter character. Defaults to true.

### setIgnoreValueDelimiter

    public void setIgnoreValueDelimiter(boolean ignoreValueDelimiter)

  Specify if the writer should ignore the value delimiter.

  Parameters:
    `ignoreValueDelimiter` - defaults to false.

### isFieldHeader

    public boolean isFieldHeader()

  Returns:
    if a field header is used. Defaults to false

### setFieldHeader

    public void setFieldHeader(boolean fieldHeader)

  Specify if you want to use a field header.

  Parameters:
    `fieldHeader` - true or false.

### equals

    public boolean equals(Object obj)

  TODO..

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### guessConfig

    public static CSVConfig guessConfig(InputStream inputStream)

  Creates a config based on a stream. It tries to guess
  NOTE : The stream will be closed.

  Parameters:
    `inputStream` - the inputstream.
  Returns:
    the guessed config.

### isEndTrimmed

    public boolean isEndTrimmed()

  Returns:
    if the end of the line should be trimmed. Default is false.

### setEndTrimmed

    public void setEndTrimmed(boolean endTrimmed)

  Specify if the end of the line needs to be trimmed. Defaults to false.

  Parameters:
    `endTrimmed` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD